# Multitaper PSD test data


This folder contains the data used for Multitaper PSD unit tests. Specifically, it contains the MATLAB [Registered Trademark] Multitaper and Nitime Multitaper PSD estimate as well as the ground truth PSD of time series data generated using an autoregressive model (ARM). 

# Description


`scripts/`
* `LICENSE` (BSD 3-clause)
* `authors` -- list of authors and contributors 
* `generate_test_data.py` -- Python script that generates time series data using ARM, computes the ground truth PSD and estimates its PSD using the Nitime multitaper method \[1\].
* `matlab_multitaper.m` -- MATLAB script that loads the generated `time_series.mat` and estimates its PSD via `pmtm` \[2\] (i.e. Thomson Multitaper method \[3\]).
* `requirements.txt` -- requirements containing the exact package versions used in `generate_test_data.py` to generate `time_series.npy`, `time_series.mat`, `psd_groundtruth.npy` and `psd_nitime.npy` in `data/` folder. The requirements file was generated using `pipreqs-0.4.11` package. 

`data/`
* `LICENSE` (CC-BY)
* `time_series.npy` -- artificial data generated using ARM (in NumPy format) 
* `time_series.mat` -- artificial data generated using ARM (in MATLAB format)
* `matlab_multitaper.mat` -- data resulting from the `matlab_multitaper.m`
* `psd_groundtruth.npy` -- ground truth PSD of the time series data
* `psd_nitime.npy` -- data of multitaper PSD from the Nitime package \[1\]

### Copyright
:copyright: 2021 by the [development team](authors).


### References and links
1. http://nipy.org/nitime/examples/multi\_taper\_spectral\_estimation.html
2. https://de.mathworks.com/help/signal/ref/pmtm.html
3. Thomson, D. J. (1982) "Spectrum estimation and harmonic analysis." Proceedings of the IEEE, 70, 1055–1096  

